Subject: [os2genau_digest] No. 255
From: "Digest" <newsatos2site dot com>
To: "OS/2GenAu Digest" <deadmail>
Date: Thu, 24 Jan 2002 01:00:00 +1100 (EDT)

Date:- 24 January 2002

1================================================

Subject: [os2genau] Adaptec SCSI drivers
From: brianbatkdfisher dot com dot au
Date: Wed, 23 Jan 2002 16:11:56 +0930

Greetings all,

I am in the midst of SCSI driver confusion.
There appears to be several versions of the Adaptec 78xx family SCSI card
drivers available.
There are both date and size differences between the files at
the IBM device driver site, the Adaptec site, and on the WSeB ConPak 2
disks.
Has anyone been able to unscramble the mess and discover which is
the latest, most bug free, etc... version to use.
I am having problems with a tape drive in a WSeB machine that appears to
be SCSI driver related and I wish to update the existing driver.
Any information will be GREATLY appreciated.

-----------------------------------------
Brian Butler
System Administrator
brianbatkdfisher dot com dot au

2==============================================

From: "Ian Manners" <newsatos2site dot com>
Date: Wed, 23 Jan 2002 17:06:22 +1100 (EDT)
Subject: Re: [os2genau] Adaptec SCSI drivers

Hi Brian

>I am in the midst of SCSI driver confusion.
>There appears to be several versions of the Adaptec 78xx family SCSI card
>drivers available.
>There are both date and size differences between the files at
>the IBM device driver site, the Adaptec site, and on the WSeB ConPak 2
>disks.

Use the ones with the latest date.
The ones that I am using are here :-

http://www.os2site dot com/sw/drivers/scsi/7800fam.exe  (Oct 2001)

These work fine, and fast under WSeB.
If the WSeB ones have a more recent date, try them.

>I am having problems with a tape drive in a WSeB machine that appears to
>be SCSI driver related and I wish to update the existing driver.
>Any information will be GREATLY appreciated.

Order of the drivers does make a different with SCSI,
the other thing I've done, is to use a seperate SCSI
card for my HD's, CDR/Scanner/Tape drive.

BASEDEV=OS2SCSI.DMD
BASEDEV=AIC7870.ADD
BASEDEV=AHA2920.ADD
BASEDEV=OS2ASPI.DMD /ALL
DEVICE=C:\OS2\BOOT\ASPIROUT.SYS
DEVICE=C:\NBKSCSI\NOVASPI.SYS
rem DEVICE=C:\OS2\BOOT\SCANOS2.SYS
DEVICE=C:\OS2\TWAIN\CFM512\CFMASPI.SYS

I have a couple of different ASPI drivers loaded, with
no apparent problems over the past few years, and
all seems to work ok.

What tape drive do you have ?

Cheers
Ian B Manners
http://www.os2site dot com/

3==============================================

From: "Dr Graham Norton FRACP Neurologist" <gnatsmart-road dot com dot au>
Date: Wed, 23 Jan 2002 17:00:08 +1000 (EST)
Subject: Re: [os2genau] Adaptec SCSI drivers

Brian have sent the most recent drivers that I have on the IBM 220X server to you.

As I mentioned I have a major problem only when I attempt to zip up the C drive 
partition (usually from a maintence D partition) and a few minutes into the activity it 
hangs in a big way!!  No response dead!!!  No mouse,  no keyboard,  screen frozen 
and I have to physically turn the machine off  with its button....

I  back up my server across the LAN to a WS with a Connor SCSI tape drive 
(Travan 4G tapes) using BA2000  Server  (most recently V3) and it is usually 
faultless - but that is an old old SCSI card!!

On Wed, 23 Jan 2002 16:11:56 +0930, brianbatkdfisher dot com dot au wrote:

>Greetings all,
>
>I am in the midst of SCSI driver confusion.
>There appears to be several versions of the Adaptec 78xx family SCSI card
>drivers available.
>There are both date and size differences between the files at
>the IBM device driver site, the Adaptec site, and on the WSeB ConPak 2
>disks.
>Has anyone been able to unscramble the mess and discover which is
>the latest, most bug free, etc... version to use.
>I am having problems with a tape drive in a WSeB machine that appears to
>be SCSI driver related and I wish to update the existing driver.
>Any information will be GREATLY appreciated.
>
>-----------------------------------------
>Brian Butler
>System Administrator
>brianbatkdfisher dot com dot au
>
>

Graham Norton FRACP
Neurologist

Smart Road Specialist Centre
Modbury SA 5092

61 8 8265 4022  (Voice)
61 8 8386 1795 (Fax)
gnatsmart-road dot com dot au

4==============================================

Date: Wed, 23 Jan 2002 17:47:05 +1100
From: Ed Durrant <edurrantatbigpond dot net dot au>
Subject: Re: [os2genau] Adaptec SCSI drivers

Hi Brian,

  First question - which exact Adaptec card are you using - or
is this an on-board adaptec SCSI chipset ?

  I also had a similar issue trying to find the correct driver for
my 2940 card. There were three choices, in the end I simply downloaded
the latest from the DDPak Online driver site and it worked perfectly.

  Things to check (but you probably know this) Termination, Termination
and Termination. This means - obviously you need a terminator at the end
of the cables attaching internal harddrives and external devices. I
prefer static (ie not electrical/dynamic) termination if at all possible
but in any case, termination has to be there (and don't remove the 
terminator power jumper from any of the intermediate devices as well).
Make sure you haven't got termination set on more than one device in the
chain. And .... the one most people forget, depending on how the 
controller card is built, it will either simply sit in the middle 
of the chain of devices, in which case it should not have termination
set on the card however if this is a card with multiple channels, the
card end of all chains should have termination set on. This is the 
EXT/IN ON/OFF settings in the Adaptec bios - get the book out to make
sure you have it right.

Cheers/2

Ed.

PS the  7800FAM.EXE on the eddie-rom that I sent over to the SA Group
says: 
The following Adaptec SCSI Host Adapters are supported by this Family
Manager Set. 

Ultra160 Adapters    Description 
-----------------   
------------------------------------------------------------------
AHA-3960D/39160      Dual Channel 64-bit PCI-to-Ultra160 SCSI 
29160                Single Channel 64-bit PCI-to-Ultra160 SCSI 
29160LP              Single Channel 64-bit PCI-to-Ultra160 SCSI (Low
Profile) 
29160N               Single Channel 32-bit PCI-to-Ultra160 SCSI 
AIC-7892             Single Channel 32/64-bit PCI-to-Ultra160 SCSI ASIC 
AIC-7899             Dual Channel 64-bit PCI-to-Ultra160 SCSI ASIC 

Ultra2 Adapters      Description
---------------     
------------------------------------------------------------------
AHA-2940U2           OEM Single Channel 32-bit PCI-to-Ultra2 Wide
LVD/Single-ended SCSI 
AHA-2940U2B          Single Channel 32-bit PCI-to-Ultra2 Wide LVD SCSI 
AHA-2940U2W          Single Channel 32-bit PCI-to-Ultra2 Wide
LVD/Single-ended SCSI 
AHA-2950U2B          Single Channel 64-bit PCI-to-Ultra2 Wide LVD SCSI 
AHA-3950U2B          Dual Channel 64-bit PCI-to-Ultra2 Wide LVD SCSI 
AHA-3950U2D          Dual Channel 64-bit PCI-to-Ultra2 Wide LVD SCSI
with dual external 
                     VHD connectors 
AIC-7890             Single Channel 32-bit PCI-to-Ultra2 SCSI ASIC 
AIC-7891             Single Channel 64-bit PCI-to-Ultra2 SCSI ASIC 
AIC-7896             Dual Channel 32-bit PCI-to-Ultra2 SCSI ASIC 
AIC-7897             Dual Channel 64-bit PCI-to-Ultra2 SCSI ASIC 

Fast/Ultra Adapters       Description 
------------------- 
------------------------------------------------------------------ 
AHA-2910C            Single Channel PCI-to-Fast SCSI (non-bootable) 
AHA-2915C            Single Channel PCI-to-Fast SCSI (non-bootable) 
AHA-2920C            Single Channel PCI-to-Fast SCSI 
AHA-2930C            Single Channel PCI-to-Ultra Single-ended SCSI 
AHA-2940             Single Channel PCI-to-Fast SCSI 
AHA-2940W            Single Channel PCI-to-Fast and Wide Single-ended
SCSI 
AHA-2940AU           Single Channel PCI-to-Ultra Single-ended SCSI 
AHA-2940U            Single Channel PCI-to-Ultra Single-ended SCSI 
AHA-2940U Dual       Dual Channel PCI-to-Ultra Wide Internal
Single-ended SCSI with 
                     50-pin external connector 
AHA-2940UW           Single Channel PCI-to-Ultra Wide Single-ended SCSI 
AHA-2940UW Pro       Single Channel PCI-to-Ultra Wide Single-ended SCSI 
AHA-2940UW Dual      Dual Channel PCI-to-Ultra Wide Single-ended SCSI
with 68-pin 
                     external connector 
AHA-2944W            Single Channel PCI-to-Fast and Wide Differential
SCSI 
AHA-2944UW           Single Channel PCI-to-Ultra Wide Differential SCSI 
AHA-3940             Dual Channel PCI-to-Fast SCSI 
AHA-3940W            Dual Channel PCI-to-Fast and Wide SCSI 
AHA-3940U            Dual Channel PCI-to-Ultra SCSI 
AHA-3940UW           Dual Channel PCI-to-Ultra Wide SCSI 
AHA-3940UWD          Dual Channel PCI-to-Ultra Wide SCSI with dual
external VHD 
                     connectors 
AHA-3944UWD          Dual Channel PCI-to-Ultra Wide Differential SCSI
with dual external 
                     VHD connectors 
AHA-3940AU           Dual Channel PCI-to-Ultra SCSI 
AHA-3940AUW          Dual Channel PCI-to-Ultra Wide SCSI 
AHA-3940AUWD         Dual Channel PCI-to-Ultra Wide SCSI with dual
external VHD connectors 
AHA-3944AUWD         Dual Channel PCI-to-Ultra Wide Differential SCSI
with dual external 
                     VHD connectors 
AHA-4944W            Quad Channel PCI-to-Fast and Wide Differential SCSI 
AHA-4944UW           Quad Channel PCI-to-Ultra Wide Differential SCSI 
AIC-7850             Single Channel PCI-to-Fast SCSI ASIC 
AIC-7860             Single Channel PCI-to-Ultra SCSI ASIC 
AIC-7870             Single Channel PCI-to-Fast and Wide SCSI ASIC 
AIC-7880             Single Channel PCI-to-Ultra Wide SCSI ASIC 
AIC-7895             Dual Channel PCI-to-Ultra Wide SCSI ASIC 

 (the Adaptec.zip also in \drivers\adaptec are beta test drivers)  

brianbatkdfisher dot com dot au wrote:
> 
> Greetings all,
> 
> I am in the midst of SCSI driver confusion.
> There appears to be several versions of the Adaptec 78xx family SCSI card
> drivers available.
> There are both date and size differences between the files at
> the IBM device driver site, the Adaptec site, and on the WSeB ConPak 2
> disks.
> Has anyone been able to unscramble the mess and discover which is
> the latest, most bug free, etc... version to use.
> I am having problems with a tape drive in a WSeB machine that appears to
> be SCSI driver related and I wish to update the existing driver.
> Any information will be GREATLY appreciated.
> 
> -----------------------------------------
> Brian Butler
> System Administrator
> brianbatkdfisher dot com dot au
> 

5==============================================

Subject: Re: [os2genau] Adaptec SCSI drivers
From: brianbatkdfisher dot com dot au
Date: Wed, 23 Jan 2002 17:47:01 +0930

Ed,
Hi, I have had SCSI since my first PC, (1985?) and so
I have covered the obvious, ie terminators.
The cables and the active terminator are new BlackBox (EXPENSIVE) units
that are in good order.

There are three seagate HDs on the same cable that are JFS partitions
mapped as one logical volume.

This drive has the main file shares on a server and gets a hammering all
day.
The drives function fine, and have done for over 18 months.
The tape drive failures are new.
I have recently removed the tape and returned to supplier as it appeared
it was at fault. It seems it was as the unit was replaced.
After re-installing it I ran a backup and it worked fine and so I
re-enabled the scheduled backups.
They ran each night for three days and then the traps started again.

Definitely gremlins in the works!

-----------------------------------------
Brian Butler
System Administrator
brianbatkdfisher dot com dot au

6==============================================

Date: Wed, 23 Jan 2002 19:42:03 +1100
From: Ed Durrant <edurrantatbigpond dot net dot au>
Subject: Re: [os2genau] Adaptec SCSI drivers

Can we confirm we are talking about a SCSI card and not a Raid adapter
please ?

Ed.

Dr Graham Norton FRACP Neurologist wrote:
> 
> Brian have sent the most recent drivers that I have on the IBM 220X server to you.
> 
> As I mentioned I have a major problem only when I attempt to zip up the C drive
> partition (usually from a maintence D partition) and a few minutes into the activity it
> hangs in a big way!!  No response dead!!!  No mouse,  no keyboard,  screen frozen
> and I have to physically turn the machine off  with its button....
> 
> I  back up my server across the LAN to a WS with a Connor SCSI tape drive
> (Travan 4G tapes) using BA2000  Server  (most recently V3) and it is usually
> faultless - but that is an old old SCSI card!!
> 
> On Wed, 23 Jan 2002 16:11:56 +0930, brianbatkdfisher dot com dot au wrote:
> 
> >Greetings all,
> >
> >I am in the midst of SCSI driver confusion.
> >There appears to be several versions of the Adaptec 78xx family SCSI card
> >drivers available.
> >There are both date and size differences between the files at
> >the IBM device driver site, the Adaptec site, and on the WSeB ConPak 2
> >disks.
> >Has anyone been able to unscramble the mess and discover which is
> >the latest, most bug free, etc... version to use.
> >I am having problems with a tape drive in a WSeB machine that appears to
> >be SCSI driver related and I wish to update the existing driver.
> >Any information will be GREATLY appreciated.
> >
> >-----------------------------------------
> >Brian Butler
> >System Administrator
> >brianbatkdfisher dot com dot au
> >
> >
> 
> Graham Norton FRACP
> Neurologist
> 
> Smart Road Specialist Centre
> Modbury SA 5092
> 
> 61 8 8265 4022  (Voice)
> 61 8 8386 1795 (Fax)
> gnatsmart-road dot com dot au
> 

7==============================================

Date: Wed, 23 Jan 2002 19:43:16 +1100
From: Ed Durrant <edurrantatbigpond dot net dot au>
Subject: Re: [os2genau] Adaptec SCSI drivers

Which backup software are you using ?

Ed.

brianbatkdfisher dot com dot au wrote:
> 
> Ed,
> Hi, I have had SCSI since my first PC, (1985?) and so
> I have covered the obvious, ie terminators.
> The cables and the active terminator are new BlackBox (EXPENSIVE) units
> that are in good order.
> 
> There are three seagate HDs on the same cable that are JFS partitions
> mapped as one logical volume.
> 
> This drive has the main file shares on a server and gets a hammering all
> day.
> The drives function fine, and have done for over 18 months.
> The tape drive failures are new.
> I have recently removed the tape and returned to supplier as it appeared
> it was at fault. It seems it was as the unit was replaced.
> After re-installing it I ran a backup and it worked fine and so I
> re-enabled the scheduled backups.
> They ran each night for three days and then the traps started again.
> 
> Definitely gremlins in the works!
> 
> -----------------------------------------
> Brian Butler
> System Administrator
> brianbatkdfisher dot com dot au
> 

8==============================================

From: "Dr Graham Norton FRACP Neurologist" <gnatsmart-road dot com dot au>
Date: Wed, 23 Jan 2002 19:56:11 +1000 (EST)
Subject: Re: [os2genau] Adaptec SCSI drivers

Yes I think I am talking about a SCSI adapter, not sure if I would even recognise a 
RAID adapter if I saw one... sounds more like a new washing detergent to me!

On Wed, 23 Jan 2002 19:42:03 +1100, Ed Durrant wrote:

>Can we confirm we are talking about a SCSI card and not a Raid adapter
>please ?
>
>Ed.
>
>Dr Graham Norton FRACP Neurologist wrote:
>> 
>> Brian have sent the most recent drivers that I have on the IBM 220X server to 
you.
>> 
>> As I mentioned I have a major problem only when I attempt to zip up the C drive
>> partition (usually from a maintence D partition) and a few minutes into the activity 
it
>> hangs in a big way!!  No response dead!!!  No mouse,  no keyboard,  screen 
frozen
>> and I have to physically turn the machine off  with its button....
>> 
>> I  back up my server across the LAN to a WS with a Connor SCSI tape drive
>> (Travan 4G tapes) using BA2000  Server  (most recently V3) and it is usually
>> faultless - but that is an old old SCSI card!!
>> 
>> On Wed, 23 Jan 2002 16:11:56 +0930, brianbatkdfisher dot com dot au wrote:
>> 
>> >Greetings all,
>> >
>> >I am in the midst of SCSI driver confusion.
>> >There appears to be several versions of the Adaptec 78xx family SCSI card
>> >drivers available.
>> >There are both date and size differences between the files at
>> >the IBM device driver site, the Adaptec site, and on the WSeB ConPak 2
>> >disks.
>> >Has anyone been able to unscramble the mess and discover which is
>> >the latest, most bug free, etc... version to use.
>> >I am having problems with a tape drive in a WSeB machine that appears to
>> >be SCSI driver related and I wish to update the existing driver.
>> >Any information will be GREATLY appreciated.
>> >
>> >-----------------------------------------
>> >Brian Butler
>> >System Administrator
>> >brianbatkdfisher dot com dot au
>> >
>> >
>> 
>> Graham Norton FRACP
>> Neurologist
>> 
>> Smart Road Specialist Centre
>> Modbury SA 5092
>> 
>> 61 8 8265 4022  (Voice)
>> 61 8 8386 1795 (Fax)
>> gnatsmart-road dot com dot au
>> 
>

Graham Norton
President
OS2 Users Group SA